<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE filesystem PUBLIC "-//NetBeans//DTD Filesystem 1.1//EN" "http://www.netbeans.org/dtds/filesystem-1_1.dtd">
<filesystem>
    <folder name="Editors">
        <folder name="text">
            <folder name="x-c">
                <file name="org-netbeans-modules-cnd-refactoring-editor-HighlightsLayerFactoryImpl.instance"/>

                <folder name="Keybindings">
                    <folder name="NetBeans">
                        <folder name="Defaults">
                            <file name="refactoring-keybindings.xml" url="DefaultKeyBindings.xml"/>
                        </folder>
                    </folder>
                </folder>
                <folder name="Actions">
                    <file name="org-netbeans-modules-cnd-refactoring-actions-InstantRenameAction.instance">
                        <attr name="instanceOf" stringvalue="javax.swing.Action"/>
                        <attr name="instanceClass" stringvalue="org.netbeans.modules.cnd.refactoring.actions.InstantRenameAction"/>
                    </file>
                </folder>
                <folder name="Popup">
                    <!--
                    <attr name="goto/org-netbeans-modules-cnd-refactoring-actions-FindReferencesAction.shadow" boolvalue="true"/>
                    <file name="org-netbeans-modules-cnd-refactoring-actions-FindReferencesAction.shadow">
                        <attr name="originalFile" stringvalue="Actions/Refactoring/org-netbeans-modules-cnd-refactoring-actions-FindReferencesAction.instance"/>
                    </file>
                    <attr name="org-netbeans-modules-cnd-refactoring-actions-FindReferencesAction.shadow/SeparatorBeforeCut.instance" boolvalue="true"/>
                    <attr name="org-netbeans-modules-cnd-refactoring-actions-FindReferencesAction.shadow/SeparatorAfterPaste.instance" boolvalue="true"/>
                    -->
                    <file name="org-netbeans-modules-refactoring-api-ui-RSMEditorAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.refactoring.api.ui.RefactoringActionsFactory.editorSubmenuAction"/>
                        <attr name="position" intvalue="1250"/>
                    </file>
                    <file name="org-netbeans-modules-refactoring-api-ui-WhereUsedAction.shadow">
                        <attr name="originalFile" stringvalue="Actions/Refactoring/org-netbeans-modules-refactoring-api-ui-WhereUsedAction.instance"/>
                        <attr name="position" intvalue="1200"/>
                    </file>
                </folder>
                <folder name="RefactoringActions">
                    <file name="ChangeParametersAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.api.ui.CsmRefactoringActionsFactory.changeParametersAction"/>
                        <attr name="position" intvalue="1200"/>
                    </file>
                    <file name="EncapsulateFieldsAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.api.ui.CsmRefactoringActionsFactory.encapsulateFieldsAction"/>
                        <attr name="position" intvalue="1300"/>
                    </file>
                    <file name="IntroduceSeparator.instance">
                        <attr name="instanceClass" stringvalue="javax.swing.JSeparator"/>
                        <attr name="position" intvalue="1500"/>
                    </file>
                    <file name="IntroduceVariableAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.introduce.IntroduceAction.createVariable"/>
                        <attr name="position" intvalue="1600"/>
                    </file>
                    <file name="IntroduceConstantAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.introduce.IntroduceAction.createConstant"/>
                        <attr name="position" intvalue="1650"/>
                    </file>
                    <file name="IntroduceFieldAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.introduce.IntroduceAction.createField"/>
                        <attr name="position" intvalue="1700"/>
                    </file>
                    <file name="IntroduceMethodAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.introduce.IntroduceAction.createMethod"/>
                        <attr name="position" intvalue="1750"/>
                    </file>
                </folder>

                <folder name="CodeGeneratorContextProviders">
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-ContextProvider.instance"/>
                </folder>

                <folder name="CodeGenerators">
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-ConstructorGenerator$Factory.instance">
                        <attr name="position" intvalue="100"/>
                    </file>
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-GetterSetterGenerator$Factory.instance">
                        <attr name="position" intvalue="200"/>
                    </file>
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-DelegateMethodGenerator$Factory.instance">
                        <attr name="position" intvalue="400"/>
                    </file>
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-ImplementOverrideMethodGenerator$Factory.instance">
                        <attr name="position" intvalue="500"/>
                    </file>
                </folder>
            </folder>
            <folder name="x-c++">
                <file name="org-netbeans-modules-cnd-refactoring-editor-HighlightsLayerFactoryImpl.instance"/>
                <folder name="Keybindings">
                    <folder name="NetBeans">
                        <folder name="Defaults">
                            <file name="refactoring-keybindings.xml" url="DefaultKeyBindings.xml"/>
                        </folder>
                    </folder>
                </folder>
                <folder name="Actions">
                    <file name="org-netbeans-modules-cnd-refactoring-actions-InstantRenameAction.instance">
                        <attr name="instanceOf" stringvalue="javax.swing.Action"/>
                        <attr name="instanceClass" stringvalue="org.netbeans.modules.cnd.refactoring.actions.InstantRenameAction"/>
                    </file>
                </folder>
                <folder name="Popup">                  
                    <!--
                    <attr name="goto/org-netbeans-modules-cnd-refactoring-actions-FindReferencesAction.shadow" boolvalue="true"/>
                    <file name="org-netbeans-modules-cnd-refactoring-actions-FindReferencesAction.shadow">
                        <attr name="originalFile" stringvalue="Actions/Refactoring/org-netbeans-modules-cnd-refactoring-actions-FindReferencesAction.instance"/>
                    </file>
                    <attr name="org-netbeans-modules-cnd-refactoring-actions-FindReferencesAction.shadow/SeparatorBeforeCut.instance" boolvalue="true"/>
                    <attr name="org-netbeans-modules-cnd-refactoring-actions-FindReferencesAction.shadow/SeparatorAfterPaste.instance" boolvalue="true"/>
                    -->
                    <file name="org-netbeans-modules-refactoring-api-ui-RSMEditorAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.refactoring.api.ui.RefactoringActionsFactory.editorSubmenuAction"/>
                        <attr name="position" intvalue="1250"/>
                    </file>
                    <file name="org-netbeans-modules-refactoring-api-ui-WhereUsedAction.shadow">
                        <attr name="originalFile" stringvalue="Actions/Refactoring/org-netbeans-modules-refactoring-api-ui-WhereUsedAction.instance"/>
                        <attr name="position" intvalue="1200"/>
                    </file>
                </folder>
                <folder name="RefactoringActions">
                    <file name="ChangeParametersAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.api.ui.CsmRefactoringActionsFactory.changeParametersAction"/>
                        <attr name="position" intvalue="1200"/>
                    </file>
                    <file name="EncapsulateFieldsAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.api.ui.CsmRefactoringActionsFactory.encapsulateFieldsAction"/>
                        <attr name="position" intvalue="1300"/>
                    </file>
                    <file name="IntroduceSeparator.instance">
                        <attr name="instanceClass" stringvalue="javax.swing.JSeparator"/>
                        <attr name="position" intvalue="1500"/>
                    </file>
                    <file name="IntroduceVariableAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.introduce.IntroduceAction.createVariable"/>
                        <attr name="position" intvalue="1600"/>
                    </file>
                    <file name="IntroduceConstantAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.introduce.IntroduceAction.createConstant"/>
                        <attr name="position" intvalue="1650"/>
                    </file>
                    <file name="IntroduceFieldAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.introduce.IntroduceAction.createField"/>
                        <attr name="position" intvalue="1700"/>
                    </file>
                    <file name="IntroduceMethodAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.introduce.IntroduceAction.createMethod"/>
                        <attr name="position" intvalue="1750"/>
                    </file>
                </folder>

                <folder name="CodeGeneratorContextProviders">
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-ContextProvider.instance"/>
                </folder>

                <folder name="CodeGenerators">
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-ConstructorGenerator$Factory.instance">
                        <attr name="position" intvalue="100"/>
                    </file>
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-GetterSetterGenerator$Factory.instance">
                        <attr name="position" intvalue="200"/>
                    </file>
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-DelegateMethodGenerator$Factory.instance">
                        <attr name="position" intvalue="400"/>
                    </file>
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-ImplementOverrideMethodGenerator$Factory.instance">
                        <attr name="position" intvalue="500"/>
                    </file>
                </folder>
            </folder>            
            <folder name="x-h">
                <file name="org-netbeans-modules-cnd-refactoring-editor-HighlightsLayerFactoryImpl.instance"/>
                <folder name="Keybindings">
                    <folder name="NetBeans">
                        <folder name="Defaults">
                            <file name="refactoring-keybindings.xml" url="DefaultKeyBindings.xml"/>
                        </folder>
                    </folder>
                </folder>
                <folder name="Actions">
                    <file name="org-netbeans-modules-cnd-refactoring-actions-InstantRenameAction.instance">
                        <attr name="instanceOf" stringvalue="javax.swing.Action"/>
                        <attr name="instanceClass" stringvalue="org.netbeans.modules.cnd.refactoring.actions.InstantRenameAction"/>
                    </file>
                </folder>
                <folder name="Popup">
                    <file name="org-netbeans-modules-refactoring-api-ui-RSMEditorAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.refactoring.api.ui.RefactoringActionsFactory.editorSubmenuAction"/>
                        <attr name="position" intvalue="1250"/>
                    </file>
                    <file name="org-netbeans-modules-refactoring-api-ui-WhereUsedAction.shadow">
                        <attr name="originalFile" stringvalue="Actions/Refactoring/org-netbeans-modules-refactoring-api-ui-WhereUsedAction.instance"/>
                        <attr name="position" intvalue="1200"/>
                    </file>
                </folder>
                <folder name="RefactoringActions">
                    <file name="ChangeParametersAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.api.ui.CsmRefactoringActionsFactory.changeParametersAction"/>
                        <attr name="position" intvalue="1200"/>
                    </file>
                    <file name="EncapsulateFieldsAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.api.ui.CsmRefactoringActionsFactory.encapsulateFieldsAction"/>
                        <attr name="position" intvalue="1300"/>
                    </file>
                    <file name="IntroduceSeparator.instance">
                        <attr name="instanceClass" stringvalue="javax.swing.JSeparator"/>
                        <attr name="position" intvalue="1500"/>
                    </file>
                    <file name="IntroduceVariableAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.introduce.IntroduceAction.createVariable"/>
                        <attr name="position" intvalue="1600"/>
                    </file>
                    <file name="IntroduceConstantAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.introduce.IntroduceAction.createConstant"/>
                        <attr name="position" intvalue="1650"/>
                    </file>
                    <file name="IntroduceFieldAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.introduce.IntroduceAction.createField"/>
                        <attr name="position" intvalue="1700"/>
                    </file>
                    <file name="IntroduceMethodAction.instance">
                        <attr name="instanceCreate" methodvalue="org.netbeans.modules.cnd.refactoring.introduce.IntroduceAction.createMethod"/>
                        <attr name="position" intvalue="1750"/>
                    </file>
                </folder>

                <folder name="CodeGeneratorContextProviders">
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-ContextProvider.instance"/>
                </folder>

                <folder name="CodeGenerators">
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-ConstructorGenerator$Factory.instance">
                        <attr name="position" intvalue="100"/>
                    </file>
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-GetterSetterGenerator$Factory.instance">
                        <attr name="position" intvalue="200"/>
                    </file>
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-DelegateMethodGenerator$Factory.instance">
                        <attr name="position" intvalue="400"/>
                    </file>
                    <file name="org-netbeans-modules-cnd-refactoring-codegen-ImplementOverrideMethodGenerator$Factory.instance">
                        <attr name="position" intvalue="500"/>
                    </file>
                </folder>
            </folder>
        </folder>
    </folder>
</filesystem>
